Subject: 28.0.50; rectangle-mark-mode does not behave as documented when transient-mark-mode is off

From: Sean Whitton <[email-masked]>
Date: Sat, 01 Aug 2020 21:19:22 -0700

Hello,

rectangle-mark-mode's docstring says

    Toggle the region as rectangular.  Activates the region if needed.
    Only lasts until the region is deactivated.

However, when Transient Mark mode is off,

1) the region does not get activated by C-x SPC;

2) the mode lasts until the mark is subsequently activated and then
   deactivated again; and

3) rectangle-mark-mode works inconsistently until the mark is activated:
   killing the region kills the rectangle, but C-x C-x does not rotate
   through the four corners of the rectangle.

I think the simplest fix might be for rectangle-mark-mode to activate
the mark even when Transient Mark mode is off.  I think I'll probably
add that to my own configuration, where Transient Mark mode is off.

-- 
Sean Whitton